/* Base page */
html, body {
    padding: 0; margin: 0;
    text-align: left;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#map {
    width: 100%;
    height: 100%; 
}

.leaflet-tooltip {
    font: 8pt/16px Arial, Helvetica, sans-serif;
}

.np-label {
    margin-left: -17px !important;
    margin-top: -46px !important;
}

.np-label .np-label-rect {
    height: 36px;
    background-color: rgba(0, 133, 194, 0.6);
    border-radius: 3px;
    margin: 0;
    display: table-cell;
    vertical-align: middle;
}

.np-label .np-label-arrow {
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 10px solid rgba(0, 133, 194, 0.6);
    margin-left: 12px;
}
.np-label-short {
    padding-left: 36px !important;
    padding-right: 0 !important;
}

.np-label .np-label-text {
    padding-left: 38px;
    font: bold 8pt Arial;
    color: white;
    text-align: center;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    padding-right: 5px;
    line-height: 1.4;
}

.np-label .np-label-icon {
    position: absolute;
    top: 2px;
    left: 2px;
    height: 32px;
    width: 32px;
}

.np-label .np-label-curs {
    position: absolute;
    height: 25px;
    width: 18px;
    margin-top: -25px;
    margin-left: 8px;
    background-size: contain;
    background-image: url("../assets/images/curs.svg");
    transform-origin: center bottom;
    -webkit-transform-origin: center bottom;
    opacity: 0.9;
}

.np-animation {
    -webkit-transition: 500ms ease-in-out;
    -moz-transition: 500ms ease-in-out;
    -o-transition: 500ms ease-in-out;
    transition: 500ms ease-in-out;
}

.animation-disabled * {
    -webkit-animation: initial !important;
    animation: initial !important;
    -webkit-transition: initial !important;
    -o-transition: initial !important;
    transition: initial !important;
}

.animation-disabled :after {
    -webkit-animation: initial !important;
    animation: initial !important;
    -webkit-transition: initial !important;
    -o-transition: initial !important;
    transition: initial !important;
}

.animation-disabled :before {
    -webkit-animation: initial !important;
    animation: initial !important;
    -webkit-transition: initial !important;
    -o-transition: initial !important;
    transition: initial !important;
}

.hidden {
    display: none !important;
}

.editor-toolbar {
    position: absolute;
    bottom: 15px;
    left: 50%;
    transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
    opacity: 1;
    display: flex;
    flex-direction: row;
    justify-content: center;
    z-index: 1000;
}

.np-chbox {
    display: flex;
    align-items: center;
    padding-right: 3px;
}

.btn {
    background-color: white;
    border: 1px solid gray;
    font-size: 8pt;
    font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    z-index: 1100;
    height: 30px;
    margin: 3px;
}

.btn:hover {
    background-color: dodgerblue; /* Green */
    color: white;
}

.header {
    width: 300px;
    height: 30px;
    position: absolute;
    top: 15px;
    left: 50%;
    margin-left: -150px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    z-index: 1000;
    background-color: #b94a48;
    color: white;
    font-size: 15px;
    line-height: 2;
    opacity: 0.8;
    font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    border: white 1px solid;
}

/*leaflet-control-geocoder webkit css fix*/
.leaflet-control-geocoder-form input{
    line-height: 1.5;
}